import { getData } from "./defaultData.js"; //导入默认数据
import { toCamelCase } from "../utils/util"

export const redit = {
    data() {
        return {
            contShow: false,
        };
    },
    beforeMount() {
    },
    methods: {
        //在这里将拖入组件时的默认数据压入页面中
        addComp(type, index, label) {
            console.log(type, index, label);
            const options = getData(type)
            console.log("addComp -- option", options);
            this.options.splice(index, 0, {
                ...options,
            });

            this.$store.commit("setLayoutConfig", {
                currentId: options.id,
                type: type,
            });
        },

    }
}