import moment from "moment"

export default {
  type: 'r-form-input-time',
  name: "时间选择器",
  menuType: "form",
  compStyle: {
    height: 'auto',
    width: '100%',
  },
  option: {
    value: moment().format("YYYY-MM-DD HH:mm"),
    placeholder: '请选择时间',
    show: false,
    showToolbar: true,
    title: '',
    mode: 'datetime', //	date为日期选择，time为时间选择，year-month为年月选择
    maxDate: moment().add(10, 'y').valueOf(),
    minDate: moment().subtract(10, 'y').valueOf(),
    minHour: 0,
    maxHour: 23,
    minMinute: 0,
    maxMinute: 59,
    filter: null,
    // formatter: "YYYY-MM-DD HH:mm:ss",
    loading: false,
    itemHeight: 44,
    cancelText: '取消',
    confirmText: '确认',
    cancelColor: '#909193',
    confirmColor: '#3c9cff',
    visibleItemCount: 5,
    closeOnClickOverlay: false,
    defaultIndex: '[]',


    placeholder: "请选择时间",
    fontSize: "15px",
    color: "#303133",
    prefixIcon: "",
    prefixIconStyle: "",
    suffixIcon: "",
    suffixIconStyle: "",
    border: "bottom",
  },
}