export default {
  type: 'r-table',
  name: "表格",
  menuType: "data",
  option: {
    border: false,
    stripe: true,
    type: "",
    emptyText: "没有更多数据",
    loading: false,
    // th
    width: "",
    align: "left",
    thData: [
      {
        title: "日期",
        key: "date",
        filterType: "",
        filterData: [],
        sortable: false,
      },
      {
        title: "姓名",
        key: "name",
        filterType: "",
        filterData: [],
        sortable: false,
      },
      {
        title: "地址",
        key: "address",
        filterType: "",
        filterData: [],
        sortable: false,
      },
    ],
    // td
    tdAlign: "left",
    tableData: [
      {
        date: "2020-09-01",
        name: "Dcloud1",
        address: "上海市普陀区金沙江路 1518 弄",
      }, {
        date: "2020-09-02",
        name: "Dcloud2",
        address: "上海市普陀区金沙江路 1517 弄",
      }, {
        date: "2020-09-03",
        name: "Dcloud3",
        address: "上海市普陀区金沙江路 1519 弄",
      }, {
        date: "2020-09-04",
        name: "Dcloud4",
        address: "上海市普陀区金沙江路 1516 弄",
      }, {
        date: "2020-09-05",
        name: "Dcloud5",
        address: "上海市普陀区金沙江路 1518 弄",
      }
    ]
  },
  slots: [],
  compStyle: {},
  methods: {
    selectionChange: e => { console.log("table selection change", e) },
    sortChange: e => { console.log("table sort change", e) },
    filterChange: e => { console.log("table filter change", e) },
  }
}