export default {
  type: 'r-card',
  name: "卡片",
  menuType: "layout",
  compStyle: {
  },
  option: {
    title: '卡片标题',
    titleColor: "#333",
    titleFontSize: 16,
    titleBold: true,
    showTitleBorder: true,
    showTitleBar: true,
    barWidth: 5,
    barHeight: 16,
    barColor: "#1d5dcc",
    rightIcon: "",
    rightIconSize: 14,
    rightIconColor: "#999",
    content: '辅助性文字，颜色比title浅一点，字号也小一点，可选',
    shadow: "4rpx 4rpx 20rpx -8rpx #8ec4f9",
    borderRadius: 5,
    bodyStyle: "padding: 20rpx",
    wrapperStyle: "margin: 30rpx",
  },
  slots: [
    {
      slotName: "title",
      slotLabel: "标题"
    },
    {
      slotName: "right",
      slotLabel: "右侧内容"
    },
    {
      slotName: "content",
      slotLabel: "内容"
    },
  ]
}
