export default {
  type: 'r-chart',
  name: "柱状图",
  menuType: "data",
  compStyle: {
    width: "100%",
    "font-size": "24rpx",
    "margin-top": "0px",
    "margin-right": "0px",
    "margin-bottom": "0px",
    "margin-left": "0px",
    "padding": '24rpx',
    "border-bottom": "1px solid #f4f4f5",
  },
  option: {
    type: "column",
    chartData: {
      categories: ["2016", "2017", "2018", "2019", "2020", "2021"],
      series: [
        {
          name: "目标值",
          data: [35, 36, 31, 33, 13, 34]
        },
        {
          name: "完成量",
          data: [18, 27, 21, 24, 6, 28]
        }
      ]
    },
    opts: {
      color: ["#FAC858", "#EE6666", "#FAC858", "#EE6666", "#73C0DE", "#3CA272", "#FC8452", "#9A60B4", "#ea7ccc"],
      padding: [15, 15, 0, 5],
      legend: {},
      xAxis: {
        disableGrid: true
      },
      yAxis: {
        data: [
          {
            min: 0
          }
        ]
      },
      extra: {
        column: {
          type: "group",
          width: 30,
          activeBgColor: "#000000",
          activeBgOpacity: 0.08,
          linearType: "custom",
          seriesGap: 5,
          linearOpacity: 0.5,
          barBorderCircle: true,
          customColor: [
            "#FA7D8D",
            "#EB88E2"
          ]
        }
      }
    }
  }
}