export default {
  type: 'r-picker',
  name: "选择器",
  menuType: "form",
  compStyle: {
  },
  option: {
    show: false,
    showToolbar: true,
    title: "",
    columns: [],
    loading: false,
    itemHeight: 44,
    cancelText: "取消",
    confirmText: "确认",
    cancelColor: "#909193",
    confirmColor: "#3c9cff",
    visibleItemCount: 5,
    keyName: "text",
    closeOnClickOverlay: true,
    defaultIndex: [],
    immediateChange: false
  },
  slots: [
    {
      slotName: "content",
      slotLabel: "内容",
    }
  ],
  methods: {
    close: () => { console.log('picker close') },
    confirm: (e) => { console.log("picker confirm", e) },
    cancel: () => { console.log('picker cancel'); _this.option.show = false },
    change: (e) => { console.log("picker change", e) },
  }
}
