export default {
  type: 'r-swiper',
  name: "轮播器",
  menuType: "layout",
  compStyle: {
    width: '100%',
  },
  option: {
    indicator: false,
    indicatorActiveColor: "#ffffff",
    indicatorInactiveColor: "rgba(255, 255, 255, 0.35)",
    indicatorStyle: null,
    indicatorMode: "line",
    autoplay: true,
    current: 0,
    interval: 3000,
    duration: 300,
    circular: false,
    previousMargin: 0,
    nextMargin: 0,
    acceleration: false,
    displayMultipleItems: 1,
    easingFunction: "default",
    keyName: "url",
    imgMode: "aspectFill",
    height: 130,
    bgColor: "#f3f4f6",
    radius: 4,
    loading: false,
    showTitle: false,
    list: [
      {
        url: 'https://cdn.uviewui.com/uview/swiper/1.jpg',
        title: '昨夜星辰昨夜风，画楼西畔桂堂东',
      },
      {
        url: 'https://cdn.uviewui.com/uview/swiper/2.jpg',
        title: '身无彩凤双飞翼，心有灵犀一点通',
      },
      {
        url: 'https://cdn.uviewui.com/uview/swiper/3.jpg',
        title: '谁念西风独自凉，萧萧黄叶闭疏窗，沉思往事立残阳',
      },
    ],
  },
}